Kea: isc::radius::RadiusAcctHandler Class Reference

| Kea 3.2.0-git

isc::radius::RadiusAcctHandler Class Reference

Class of Radius accounting communication handler. More...

`#include <radius_accounting.h>`

## Public Member Functions
| RadiusAcctHandler (RadiusAcctEnv env, const CallbackAcct &callback)
| Constructor.
virtual | ~RadiusAcctHandler ()
| Destructor.
void | start ()
| Start communication.

## Static Public Member Functions
static size_t | getCounter ()
| Get instance counter.

## Public Attributes
RadiusAcctEnv | env_
| Environment.

## Protected Attributes
RadiusAsyncAcctPtr | acct_
| Pointer to the communication class.

## Detailed Description

Class of Radius accounting communication handler.

Definition at line 138 of file radius_accounting.h.

## Constructor & Destructor Documentation

## ◆ RadiusAcctHandler()

isc::radius::RadiusAcctHandler::RadiusAcctHandler | ( | RadiusAcctEnv | env,
|  | const CallbackAcct & | callback )

Constructor.

Parameters

  env | The environment.
  callback | Termination callback.

Definition at line 67 of file radius_accounting.cc.

References acct_, env_, and isc::radius::RadiusImpl::instance().

Here is the call graph for this function:

## ◆ ~RadiusAcctHandler()

isc::radius::RadiusAcctHandler::~RadiusAcctHandler | ( |  | ) |
| virtual

Destructor.

Definition at line 76 of file radius_accounting.cc.

## Member Function Documentation

## ◆ getCounter()

size_t isc::radius::RadiusAcctHandler::getCounter | ( |  | ) |
| static

Get instance counter.

Definition at line 89 of file radius_accounting.cc.

## ◆ start()

void isc::radius::RadiusAcctHandler::start | ( |  | ) |

Start communication.

Definition at line 84 of file radius_accounting.cc.

References acct_.

## Member Data Documentation

## ◆ acct_

RadiusAsyncAcctPtr isc::radius::RadiusAcctHandler::acct_
| protected

Pointer to the communication class.

Definition at line 162 of file radius_accounting.h.

Referenced by RadiusAcctHandler(), and start().

## ◆ env_

RadiusAcctEnv isc::radius::RadiusAcctHandler::env_

Environment.

Definition at line 157 of file radius_accounting.h.

Referenced by RadiusAcctHandler().

The documentation for this class was generated from the following files:

- radius_accounting.h
- radius_accounting.cc